<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/globals.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">globals.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QJsonDocument&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for globals.h:</div>
<div class="dyncontent">
<div class="center"><img src="globals_8h__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2globals_8h" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2globals_8h" id="frontend_2src_2lib_2Main_01Window_2globals_8h">
<area shape="rect" title=" " alt="" coords="5,5,161,47"/>
<area shape="rect" title=" " alt="" coords="20,95,147,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="globals_8h__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2globals_8hdep" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2globals_8hdep" id="frontend_2src_2lib_2Main_01Window_2globals_8hdep">
<area shape="rect" title=" " alt="" coords="378,5,534,47"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="144,184,299,225"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="270,363,429,404"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="99,452,255,493"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="419,541,595,583"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="467,273,623,315"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="351,95,561,136"/>
<area shape="rect" href="globals_8cpp.html" title=" " alt="" coords="827,95,983,136"/>
<area shape="rect" href="Chat_8cpp.html" title=" " alt="" coords="144,273,299,315"/>
<area shape="rect" href="hostgame_8cpp.html" title=" " alt="" coords="387,452,562,493"/>
<area shape="rect" href="lobby_8cpp.html" title=" " alt="" coords="99,541,255,583"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="330,631,486,672"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="510,631,701,672"/>
<area shape="rect" href="table_8cpp.html" title=" " alt="" coords="467,363,623,404"/>
<area shape="rect" href="gamestateservice_8cpp.html" title=" " alt="" coords="373,184,600,225"/>
</map>
</div>
</div>
<p><a href="globals_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a969a9eb92a50e671a820bfc539958443"><td class="memItemLeft" align="right" valign="top">QJsonDocument&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="globals_8h.html#a969a9eb92a50e671a820bfc539958443">globalGameState</a></td></tr>
<tr class="separator:a969a9eb92a50e671a820bfc539958443"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a969a9eb92a50e671a820bfc539958443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a969a9eb92a50e671a820bfc539958443">&#9670;&nbsp;</a></span>globalGameState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonDocument globalGameState</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
